/*
 Theme Name:     Divi Child
 Theme URI:      https://www.elegantthemes.com/gallery/divi/
 Description:    Divi Child Theme
 Author:         Elegant Themes
 Author URI:     https://www.elegantthemes.com
 Template:       Divi
 Version:        1.0.0
*/

/* =Theme customization starts here
------------------------------------------------------- */
/* CS Home Slider */
.cs-home-slider {
	position: relative;
	height: 100vh;
}

.cs-home-slider .et_pb_slides {
	height: 100%;
}

.cs-home-slider .et_pb_slides .et_pb_slide {
	height: 100%;
	padding: 0;
}

.cs-home-slider .et_pb_slides .et_pb_slide .et_pb_container {
	margin: 0 !important;
	max-width: 100vw;
}

.cs-home-slider .et_pb_slides .et_pb_slide .et_pb_slide_description .et_pb_slide_content {
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
}

.cs-home-slider .et_pb_slides .et_pb_slide .et_pb_slide_description:before {
	content:'';
	position: absolute;
	display:block;
	top: 50%;
	left: 5%;
	transform: translate(0, -50%);
	height: 60vh;
	width: 60vh;
	background: #59B4CE;
	opacity: .7;
	clip-path: polygon(50% 0, 50% 20%, 20% 20%, 20% 80%, 50% 80%, 50% 100%, 0 100%, 0 0);
}

.cs-home-slider .et_pb_slides .et_pb_slide .et_pb_slide_description .cs-pagination {
	position: absolute;
	bottom: 0;
	right: 5%;
	background-color: #0008;
	padding: 48px 16px 24px;
	display: flex;
}

.cs-home-slider .et_pb_slides .et_pb_slide .et_pb_slide_description .cs-pagination .current-number {
	font-size: 48px;
	color: #59B4CE;
}

.cs-home-slider .et_pb_slides .et_pb_slide .et_pb_slide_description .cs-pagination-text {
	position: absolute;
    bottom: 160px;
    right: 5%;
    transform: rotateZ(-90deg);
    text-transform: uppercase;
    letter-spacing: 2px;
    font-size: 12px;
}

.cs-home-slider .et_pb_slides .et_pb_slide .et_pb_slide_description {
	display: flex;
	flex-direction: column;
	justify-content: center;
	padding: 0 calc(8rem + 5%) !important;
	height: 100vh;
	width: 100%;
}

/* Need Fix */

.cs-home-slider .et_pb_button_wrapper .et_pb_button {
	display: inline-block;
}

.cs-home-slider .et_pb_button_wrapper .et_pb_button::after {
	position: absolute;
    content: "";
	width: 25px;
	height: 10px;
	border-top: 1px solid #fff;
	border-bottom: 1px solid #fff;
    right: -12px !important;
	bottom: 14px;
	z-index: 99;
	transition: all .3s ease-in-out;
}

.cs-home-slider .et_pb_button_wrapper .et_pb_button:hover::after {
	position: absolute;
    content: "";
	width: 25px;
	height: 0;
	border-top: 1px solid #fff;
	border-bottom: 1px solid #fff;
    right: -12px !important;
	bottom: 14px;
	z-index: 99;
	transform: rotateZ(-90deg);
}
.cs-home-slider.et_pb_slider:hover .et-pb-arrow-prev{
	left:0;
}

.cs-home-slider .et-pb-slider-arrows {
	position: absolute;
	bottom: 1rem;
	left:6rem;
	width:100px;
	height:60px;
	opacity:1;
	display:flex;
	justify-content:space-between;
	align-items:center;
	
}
.cs-home-slider .et-pb-slider-arrows .et-pb-arrow-next, .cs-home-slider .et-pb-slider-arrows .et-pb-arrow-prev {
	position:relative;
	opacity:1;
	left:initial;
	right:initial;
	width:auto;
	height:48px;
	top:initial;
	margin-top:0;
}
.cs-home-slider:hover .et-pb-slider-arrows .et-pb-arrow-next, .cs-home-slider:hover .et-pb-slider-arrows .et-pb-arrow-prev {
	left:initial;
	right:initial;
}

.cs-home-slider .et-pb-slider-arrows .et-pb-arrow-prev::before {
	content: '⟵';
	color: #fff;
	font-family: "Montserrat" !important;
	font-size: 16px !important;
}
.cs-home-slider .et-pb-slider-arrows .et-pb-arrow-next::before {
	content: '⟶';
	font-family: "Montserrat" !important;
	font-size: 16px !important;
}
/* 
.cs-home-slider .et-pb-slider-arrows .et-pb-arrow-prev {
	margin-top: -60px;
	left: -50px;
}


.cs-home-slider .et-pb-slider-arrows .et-pb-arrow-prev:hover::before {
	content: '⟵';
	font-family: "Montserrat" !important;
	font-size: 16px !important;
}

.cs-home-slider .et-pb-slider-arrows .et-pb-arrow-next {
	margin-top: -60px;
	left: 10px;
}

.cs-home-slider .et-pb-slider-arrows .et-pb-arrow-next::before {
	content: '⟶';
	font-family: "Montserrat" !important;
	font-size: 16px !important;
}

.cs-home-slider .et-pb-slider-arrows .et-pb-arrow-next:hover::before {
	content: '⟶';
	font-family: "Montserrat" !important;
	font-size: 16px !important;
} */


@media (max-width: 600px){
	.cs-home-slider .et_pb_slides .et_pb_slide .et_pb_slide_description:before {
		content:'';
		position: absolute;
		display:block;
		top: 50%;
		left: 0;
		transform: translate(0, -50%);
		height: 70vh;
		width: 70vh;
		background: #59B4CE;
		opacity: .7;
		clip-path: polygon(50% 0, 50% 10%, 10% 10%, 10% 90%, 50% 90%, 50% 100%, 0 100%, 0 0);
	}
	.cs-home-slider .et_pb_slides .et_pb_slide .et_pb_slide_description {
		display: flex;
		flex-direction: column;
		justify-content: center;
		padding:0 4rem !important;
		height: 100vh;
		width: 90%;
	}
}

/* CS Transparent to Black Button */
.cs-body .cs-styling-btn-black, .cs-body .cs-styling-btn-white, .cs-body .cs-contact-form .et_pb_contact_submit, .cs-body .dmach-loadmore, .cs-body .cs-read-more-btn .et_pb_button {
	display: inline-block;
}

.cs-body .cs-styling-btn-black::after {
	position: absolute;
    content: "";
	width: 25px;
	height: 10px;
	border-top: 1px solid #222;
	border-bottom: 1px solid #222;
    right: -12px !important;
	bottom: 14px;
	z-index: 99;
	transition: all .3s ease-in-out;
}

.cs-body .cs-styling-btn-black:hover::after {
	position: absolute;
    content: "";
	width: 25px;
	height: 0;
	border-top: 1px solid #222;
	border-bottom: 1px solid #222;
    right: -12px !important;
	bottom: 14px;
	z-index: 99;
	transform: rotateZ(-90deg);
}

.cs-body .cs-styling-btn-white::after {
	position: absolute;
    content: "";
	width: 25px;
	height: 10px;
	border-top: 1px solid #fff;
	border-bottom: 1px solid #fff;
    right: -12px !important;
	bottom: 14px;
	z-index: 99;
	transition: all .3s ease-in-out;
}

.cs-body .cs-styling-btn-white:hover::after {
	position: absolute;
    content: "";
	width: 25px;
	height: 0;
	border-top: 1px solid #fff;
	border-bottom: 1px solid #fff;
    right: -12px !important;
	bottom: 14px;
	z-index: 99;
	transform: rotateZ(-90deg);
}

.cs-body .cs-contact-form .et_pb_contact_submit::after {
	position: absolute;
    content: "";
	width: 25px;
	height: 10px;
	border-top: 1px solid #222;
	border-bottom: 1px solid #222;
    right: -12px !important;
	bottom: 14px;
	z-index: 99;
	transition: all .3s ease-in-out;
}

.cs-body .cs-contact-form .et_pb_contact_submit:hover::after {
	position: absolute;
    content: "";
	width: 25px;
	height: 0;
	border-top: 1px solid #222;
	border-bottom: 1px solid #222;
    right: -12px !important;
	bottom: 14px;
	z-index: 99;
	transform: rotateZ(-90deg);
}

.cs-body .dmach-loadmore::after {
	position: absolute;
    content: "";
	width: 25px;
	height: 10px;
	border-top: 1px solid #222;
	border-bottom: 1px solid #222;
    right: -12px !important;
	bottom: 14px;
	z-index: 99;
	transition: all .3s ease-in-out;
}

.cs-body .dmach-loadmore:hover::after {
	position: absolute;
    content: "";
	width: 25px;
	height: 0;
	border-top: 1px solid #222;
	border-bottom: 1px solid #222;
    right: -12px !important;
	bottom: 14px;
	z-index: 99;
	transform: rotateZ(-90deg);
}

.cs-body .cs-read-more-btn .et_pb_button::after {
	position: absolute;
    content: "";
	width: 25px;
	height: 10px;
	border-top: 1px solid #222;
	border-bottom: 1px solid #222;
    right: -12px !important;
	bottom: 14px;
	z-index: 99;
	transition: all .3s ease-in-out;
}

.cs-body .cs-read-more-btn .et_pb_button:hover::after {
	position: absolute;
    content: "";
	width: 25px;
	height: 0;
	border-top: 1px solid #222;
	border-bottom: 1px solid #222;
    right: -12px !important;
	bottom: 14px;
	z-index: 99;
	transform: rotateZ(-90deg);
}

/** Project Card **/
.cs-body .cs-project-card {
	position: relative;
	width: 100%;
	aspect-ratio: 3/4;
	padding: 0 !important;
}

.cs-body .cs-project-card .et_pb_column {
	position: relative;
	height: 100%;
	width: 100%;
	top: 0;
	left: 0;
	padding: 24px;
}

.cs-body .cs-project-card .cs-image .et_pb_module_inner, .cs-project-card .cs-image .et_shop_image,.cs-project-card .et_pb_column .cs-image {
	height: 100% !important;
}

.cs-body .cs-project-card .et_pb_column .cs-image img {
	min-height: 100%;
	object-fit: cover;
}

.cs-body .cs-project-card .et_pb_column .cs-image {
	position: absolute;
	width: 100%;
	top: 0;
	left: 0;
}

.cs-body .cs-project-card .et_pb_column .cs-image::after {
	content: '';
	position: absolute;
	width: 100%;
	height: 100% ;
	top: 0;
	left: 0;
	background: #222;
	opacity: .5;
	visibility: visible !important;
	transition: ease-in .3s;
}

.cs-body .cs-project-card:hover .cs-image::after {
	opacity: .3;
	transition: ease-in .3s;
}

.cs-body .cs-blog-row .cs-blog-row-title .et_pb_module_inner h1 {
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
		-webkit-line-clamp: 2;
		line-clamp: 2;
		-webkit-box-orient: vertical;
	height: 67.2px;
}

.cs-body .cs-blog-row .cs-blog-row-content .et_pb_module_inner p {
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
		-webkit-line-clamp: 4;
		line-clamp: 4;
		-webkit-box-orient: vertical;
	height: 78.4px;
}

.cs-body .cs-blog-row .et_pb_module_inner a img {
	max-width: 100%;
	max-height: 100%;
	aspect-ratio: 4/3;
	object-fit: cover;
}

.cs-body .cs-blog-card .et_pb_column:nth-of-type(2) .et_pb_module .et_pb_module_inner, .cs-blog-card .et_pb_column:nth-of-type(2) .et_pb_module .et_pb_module_inner .dmach-acf-item-container, .cs-blog-card .et_pb_column:nth-of-type(2) .et_pb_module .et_pb_module_inner .dmach-acf-item-content {
	width: 100%;
    height: 100%;
	position: relative;
}

.cs-body .cs-blog-card .et_pb_column:nth-of-type(2) .et_pb_module .et_pb_module_inner, .cs-blog-card .et_pb_column:nth-of-type(2) .et_pb_module .et_pb_module_inner .dmach-acf-item-container, .cs-blog-card .et_pb_column:nth-of-type(2) .et_pb_module .et_pb_module_inner .dmach-acf-item-content {
	width: 100%;
    height: 100%;
	position: relative;
}

.cs-body .cs-blog-card .et_pb_column:nth-of-type(2) .et_pb_module .et_pb_module_inner .dmach-acf-item-content img {
	width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all ease .4s;
}

.cs-body .cs-blog-card .et_pb_de_mach_title {
	width: 100%;
}

@media (max-width: 768px) {
	.cs-body .cs-blog-card .dmach-btn-align-right .et_pb_module_inner {
		text-align: left !important;
	}
}

/* Navigation */
.cs-body .et-menu-nav .nav li a::after {
	background-color: red;
	width: 10px;
	height: 10px;
}

@media (min-width: 981px) {
	.cs-body .et-menu-nav .nav {
		display: flex;
		align-items: center;
	}
	.cs-body .cs-nav-phone a {
		padding: 14px !important;
		height: max-content !important;
		background-color: #59B4CE !important;
		margin-right: 0 !important;
	}
}

@media (max-width: 981px) {
	.cs-body .cs-blog-row .cs-blog-row-title .et_pb_module_inner h1 {
		overflow: hidden;
		text-overflow: ellipsis;
		display: -webkit-box;
			-webkit-line-clamp: 2;
			line-clamp: 2;
			-webkit-box-orient: vertical;
		height: 57.6px;
	}
	.cs-body .cs-blog-row .et_pb_column .et_pb_module {
		margin-bottom: 10px;
	}
}

@media (max-width: 768px) { 
	.cs-body .cs-blog-row .cs-blog-row-title .et_pb_module_inner h1 {
		overflow: hidden;
		text-overflow: ellipsis;
		display: -webkit-box;
			-webkit-line-clamp: 2;
			line-clamp: 2;
			-webkit-box-orient: vertical;
		height: 48px;
	}
	.cs-body .cs-blog-row .et_pb_column .et_pb_module {
		margin-bottom: 10px;
	}
}

.cs-body .cs-nav-phone a:hover {
	background-color: #59B4CE !important;
}

/* Kontakt - button left alignment */
.cs-body .cs-contact-form .et_contact_bottom_container {
    float: none !important;
}

/* CS Blurb Numbers */
.cs-body .cs-blurb-numbers .et_pb_blurb_container {
	display: flex;
	align-items: center;
}

.cs-body .cs-blurb-numbers .et_pb_blurb_container::after {
	position: absolute;
	content: "";
	width: 100px;
	height: 100px;
	background-color: #efefef;
	left: 0;
	z-index: auto;
	transition: all .3s ease-in-out;
}

.cs-body .cs-blurb-numbers .et_pb_blurb_container:hover::after {
	background-color: #59B4CE;
}

.cs-body .cs-blurb-numbers .et_pb_blurb_container .et_pb_blurb_description {
	z-index: 1;
}

@media (min-width: 768px) and (max-width: 1360px) {
	.cs-body .cs-row-numbers {
		display: grid;
		grid-template-columns: 1fr 1fr;
		grid-template-rows: 1fr 1fr;
		gap: 80px;
	}
}


@media (max-width: 768px) {
	.cs-body .cs-row-numbers {
		display: flex;
		flex-direction: column;
		gap: 60px;
	}
}

/* See More Btn */
.cs-body .see-more-btn {
	color: #222;
	padding: 4px 0;
	transition: all .3s ease-in-out;
}

.cs-body .see-more-btn:hover {
	padding: 4px 12px;
	background-color: #59B4CE;
}







